Issue 55193

Summary: Cannot view one document wHen another is opening
Product: General Reporter: njglin <njglin>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, rainerbielefeld_ooo_qa
Version: OOO 2.0 Beta2Keywords: oooqa
Target Milestone: ---   
Hardware: All   
OS: Windows 2000   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
Machine state 18 hours ago, TAB delimited
none
PC state now - compare with the other file - see high IO and CPU none

Description njglin 2005-09-28 15:38:00 UTC
Have one odt format spreadsheet and one word document open within openoffice
since previous day.  Opening another xls format spreadsheet in openoffice which
is taking very long time (many minutes - see 55192).  Trying to switch to view
the previously opened documents, but not able to.  Seems all is done withing one
soffice.bin so when one document is "stuck" other cannot be seen.
Comment 1 njglin 2005-09-28 15:45:52 UTC
Created attachment 29965 [details]
Machine state 18 hours ago, TAB delimited
Comment 2 njglin 2005-09-28 15:47:12 UTC
Created attachment 29966 [details]
PC state now - compare with the other file - see high IO and CPU
Comment 3 Rainer Bielefeld 2005-09-28 16:59:50 UTC
The actual OOo design seems to normal that no other OOo can be used in a normal
way if another one causes 100% CPU load. 

I can not decide 
* what is OS's task to distribute ressources "fairly" and expedient
* what is OOo's responcibilyty not to overload system?

I can confirm with 2.0 (1.9.m125) German version WIN XP: [680m125(Build8947)],
that OOo is more or less blocked, if one of the running OOo tasks is
"overloaded, while I can work with other running WIN-applications with only
little restrictions (Athlon 3200+, 1GB).

Seems to be a FEATURE request.
Comment 4 Rainer Bielefeld 2005-09-28 17:43:12 UTC
But that's no special OOo problem, I see the same with other programs, for
example: if the MOZILLA Browser is very busy, Mozilla Mail (or other Browser
windows) can not be used without problems. 

Of course it would be great if OOo would have internal intelligence to
distribute PC resources to the OOo modules so, that work can be continued even
if one of the modules is very busy (for example: importing a large EXCEL file).
But I believe it is more promising to improve performance of those processes
than to work on this sophisticated new task.
Comment 5 njglin 2005-09-28 23:57:05 UTC
OOo is in competition with MSOffice.  There spreadsheet seem independent of
word.  Even if word crashes excel stays up and is responsive.
From current OOo design it is a feature request.  Please use your own judgement.
Seeing "not responding" can turn off users
Comment 6 michael.ruess 2005-09-29 07:14:19 UTC
The modules need to be completely splitted up for this. Currently they are still
started from the same backing window and it only SEEMS as they are started
independently.
Comment 7 njglin 2005-10-25 23:46:37 UTC
Priority needs to be changed to P1 as the time to open file makes the app unusable
Comment 8 njglin 2005-10-26 00:28:51 UTC
TO ADMIN
Please remove my comment "Priority needs to be changed to P1 as the time to open
file makes the app unusable".  It was for 55192
Comment 9 ace_dent 2008-05-16 01:40:53 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 2+ years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 10 njglin 2008-07-29 16:02:04 UTC
Retested with OOO3.0Beta2
It is less of the problem.
1. Strat OOO 3.0Beta2
2. Open doc which takes many minutes to open (subject of 50256)
3. When the above is in progress open another doc
Observe it takes several minutes for the second doc to open.
Improvement in 3.o is the dsecond doc opens within few mintes when before it
would have to wait until doc in p2 completed its opening.
--
Since I new what to expect I waited patiently for the second doc to open.
Uninitiated user might think OOO is broken, try to abort/close OOO AND open Issue :)